Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1066028 - Review Request: cswrap - Generic compiler wrapper
Summary: Review Request: cswrap - Generic compiler wrapper
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mukundan Ragavan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1066029
TreeView+ depends on / blocked
 
Reported: 2014-02-17 14:23 UTC by Kamil Dudka
Modified: 2014-04-15 23:29 UTC (History)
3 users (show)

Fixed In Version: cswrap-1.0.3-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-04-15 15:35:13 UTC
nonamedotc: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Kamil Dudka 2014-02-17 14:23:14 UTC
Spec URL: http://kdudka.fedorapeople.org/cswrap/cswrap.spec

SRPM URL: http://kdudka.fedorapeople.org/cswrap/cswrap-1.0.1-1.el6.src.rpm

Description: Generic compiler wrapper used by csmock to capture diagnostic messages.

Fedora Account System Username: kdudka

Comment 1 Dan Horák 2014-02-18 07:54:14 UTC
you can modernize your spec, see https://bugzilla.redhat.com/show_bug.cgi?id=1066026#c2

Comment 2 Kamil Dudka 2014-02-19 16:29:40 UTC
I have added an explanation why we link glibc statically.

Spec URL: http://kdudka.fedorapeople.org/cswrap/cswrap.spec
SRPM URL: http://kdudka.fedorapeople.org/cswrap/cswrap-1.0.2-1.el6.src.rpm

Comment 3 Mukundan Ragavan 2014-03-10 13:57:31 UTC
Just a couple of clarifications needed about the spec file.

I am also doing a koji scrach build.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[!]: Package contains no static executables.

---> However, explanation for this is provided in the spec file. So, [x]

[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL". Detailed output of licensecheck in
     /home/mukundan/personal/pkgs/reviews/1066028-cswrap/licensecheck.txt
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[?]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed

---> You had mentioned in cscppc review request about maintaining the package for EL 5. Is the same applicable here?

[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[?]: Buildroot is not present
     Note: Buildroot: present but not needed

---> I guess, another EL 5 requirement.

[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.

---> Doing koji scratch build right now.

[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: cswrap-1.0.2-1.fc21.x86_64.rpm
          cswrap-1.0.2-1.fc21.src.rpm
cswrap.x86_64: W: spelling-error %description -l en_US csmock -> smock, c smock, cs mock
cswrap.x86_64: W: obsolete-not-provided abscc
cswrap.x86_64: E: statically-linked-binary /usr/bin/cswrap
cswrap.x86_64: W: only-non-binary-in-usr-lib
cswrap.x86_64: W: no-manual-page-for-binary cswrap
cswrap.src: W: spelling-error %description -l en_US csmock -> smock, c smock, cs mock
cswrap.src:12: W: unversioned-explicit-obsoletes abscc
2 packages and 0 specfiles checked; 1 errors, 6 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint cswrap
cswrap.x86_64: W: spelling-error %description -l en_US csmock -> smock, c smock, cs mock
cswrap.x86_64: W: obsolete-not-provided abscc
cswrap.x86_64: W: ldd-failed /usr/bin/cswrap
cswrap.x86_64: E: statically-linked-binary /usr/bin/cswrap
cswrap.x86_64: W: only-non-binary-in-usr-lib
cswrap.x86_64: W: no-manual-page-for-binary cswrap
1 packages and 0 specfiles checked; 1 errors, 5 warnings.
# echo 'rpmlint-done:'



Requires
--------
cswrap (rpmlib, GLIBC filtered):



Provides
--------
cswrap:
    cswrap
    cswrap(x86-64)



Source checksums
----------------
https://git.fedorahosted.org/cgit/cswrap.git/snapshot/cswrap-1.0.2.tar.xz :
  CHECKSUM(SHA256) this package     : 8679db8e869043a05c8bf2fd6651abc8aa458608fad8370034a6c62f994d8204
  CHECKSUM(SHA256) upstream package : 8679db8e869043a05c8bf2fd6651abc8aa458608fad8370034a6c62f994d8204


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1066028
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 4 Mukundan Ragavan 2014-03-10 14:07:24 UTC
ok, koji builds look fine.
http://koji.fedoraproject.org/koji/taskinfo?taskID=6617549

Comment 5 Kamil Dudka 2014-03-10 14:26:54 UTC
(In reply to Mukundan Ragavan from comment #3)

Thank you for the quick response on this request, Mukundan!

> [?]: Each %files section contains %defattr if rpm < 4.4
>      Note: %defattr present but not needed
> 
> ---> You had mentioned in cscppc review request about maintaining the
> package for EL 5. Is the same applicable here?

While the cs* packages are regularly built for RHEL-5, I have no evidence that someone actually uses them on a RHEL-5 system.  I will simply drop the RHEL-5 support for all the cs* packages now...

Comment 6 Kamil Dudka 2014-03-10 14:37:39 UTC
... done.  I have also removed the obsolete for abscc, which has never been an official Fedora package.

Spec URL: http://kdudka.fedorapeople.org/cswrap/cswrap.spec
SRPM URL: http://kdudka.fedorapeople.org/cswrap/cswrap-1.0.2-2.el6.src.rpm

Comment 7 Mukundan Ragavan 2014-03-10 16:55:37 UTC
According to the packaging guidelines, I think this needs FESCO approval since there is a statically linked executable.

https://fedoraproject.org/wiki/Packaging:Guidelines#Statically_Linking_Executables

Can you please take care of this?

Comment 8 Kamil Dudka 2014-03-11 20:39:58 UTC
Sure.  I have filed a FESCO ticket:

https://fedorahosted.org/fesco/ticket/1253

Comment 9 Kamil Dudka 2014-03-14 14:20:37 UTC
(In reply to Mukundan Ragavan from comment #3)
> Rpmlint
> -------
> Checking: cswrap-1.0.2-1.fc21.x86_64.rpm
>           cswrap-1.0.2-1.fc21.src.rpm
> cswrap.x86_64: W: spelling-error %description -l en_US csmock -> smock, c
> smock, cs mock
> cswrap.x86_64: W: obsolete-not-provided abscc
> cswrap.x86_64: E: statically-linked-binary /usr/bin/cswrap
> cswrap.x86_64: W: only-non-binary-in-usr-lib
> cswrap.x86_64: W: no-manual-page-for-binary cswrap

I have pushed a simple man page upstream:

https://git.fedorahosted.org/cgit/cswrap.git/commit/?id=9db53633

Comment 10 Mukundan Ragavan 2014-03-26 21:16:10 UTC
FESCO has granted static linking exception. Package APPROVED.

Comment 11 Kamil Dudka 2014-03-26 23:39:24 UTC
Thank you very much for the review, Mukundan!

Comment 12 Kamil Dudka 2014-03-26 23:44:23 UTC
New Package SCM Request
=======================
Package Name: cswrap
Short Description: Generic compiler wrapper
Owners: kdudka
Branches: f19 f20 el6 epel7
InitialCC:

Comment 13 Gwyn Ciesla 2014-03-27 12:17:41 UTC
Git done (by process-git-requests).

Comment 14 Kamil Dudka 2014-03-27 14:44:16 UTC
Thank you for setting up the git repo!

Comment 15 Fedora Update System 2014-03-27 15:38:28 UTC
cswrap-1.0.3-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/cswrap-1.0.3-1.fc20

Comment 16 Fedora Update System 2014-03-27 15:38:42 UTC
cswrap-1.0.3-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/cswrap-1.0.3-1.fc19

Comment 17 Fedora Update System 2014-03-27 15:38:52 UTC
cswrap-1.0.3-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/cswrap-1.0.3-1.el6

Comment 18 Fedora Update System 2014-03-27 20:44:29 UTC
cswrap-1.0.3-1.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 19 Fedora Update System 2014-04-15 15:35:13 UTC
cswrap-1.0.3-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 20 Fedora Update System 2014-04-15 15:46:40 UTC
cswrap-1.0.3-1.fc19 has been pushed to the Fedora 19 stable repository.

Comment 21 Fedora Update System 2014-04-15 23:29:32 UTC
cswrap-1.0.3-1.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.